<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="lista">
        <pm:header>
            Registros
        </pm:header>
        <pm:content>
            <h:form id="indexF">
                <p:panel id="regNuevo" header="LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="1" >                
                        <p:panel header="Verdes"> 
                            <h:panelGrid columns="4" >
                                <p:outputLabel for="editverde_japon" value="Japon:"  style="font-weight: bold"/>
                                <p:inputNumber id="editverde_japon" value="#{preciosMB.activoSeleccionado.verde_japon}" requiredMessage="Error al salvar registro. El campo de verde.japón." minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editverde_110" value="110:"  style="font-weight: bold"/>
                                <p:inputNumber id="editverde_110" value="#{preciosMB.activoSeleccionado.verde_110}" requiredMessage="Error al salvar registro. El campo de verde.110." minValue="0" maxValue="10000.00"/>
                                
                                <p:outputLabel for="editverde_150" value="150:"  style="font-weight: bold"/>
                                <p:inputNumber id="editverde_150" value="#{preciosMB.activoSeleccionado.verde_150}" requiredMessage="Error al salvar registro. El campo de verde.150." minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editverde_175" value="175:"  style="font-weight: bold"/>
                                <p:inputNumber id="editverde_175" value="#{preciosMB.activoSeleccionado.verde_175}" requiredMessage="Error al salvar registro. El campo de verde.175" minValue="0" maxValue="10000.00"/>
                                
                                <p:outputLabel for="editverde_200" value="200:"  style="font-weight: bold"/>
                                <p:inputNumber id="editverde_200" value="#{preciosMB.activoSeleccionado.verde_200}" requiredMessage="Error al salvar registro. El campo de verde.200" minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editverde_230" value="230:"  style="font-weight: bold"/>
                                <p:inputNumber id="editverde_230" value="#{preciosMB.activoSeleccionado.verde_230}" requiredMessage="Error al salvar registro. El campo de verde.230." minValue="0" maxValue="10000.00"/>
                                
                                <p:outputLabel for="editverde_250" value="250:"  style="font-weight: bold"/>
                                <p:inputNumber id="editverde_250" value="#{preciosMB.activoSeleccionado.verde_250}" requiredMessage="Error al salvar registro. El campo de verde.250." minValue="0" maxValue="10000.00"/>
                            </h:panelGrid>
                        </p:panel>
                        <p:panel header="Empaques"> 
                            <h:panelGrid columns="4" >
                                <p:outputLabel for="editempaque_110" value="110:"  style="font-weight: bold"/>
                                <p:inputNumber id="editempaque_110" value="#{preciosMB.activoSeleccionado.empaque_110}" requiredMessage="Error al salvar registro. El campo de empaque_110." minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editempaque_150" value="150:"  style="font-weight: bold"/>
                                <p:inputNumber id="editempaque_150" value="#{preciosMB.activoSeleccionado.empaque_150}" requiredMessage="Error al salvar registro. El campo de empaque_150." minValue="0" maxValue="10000.00"/>

                                <p:outputLabel for="editempaque_175" value="175:"  style="font-weight: bold"/>
                                <p:inputNumber id="editempaque_175" value="#{preciosMB.activoSeleccionado.empaque_175}" requiredMessage="Error al salvar registro. El campo de empaque_175." minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editempaque_200" value="200:"  style="font-weight: bold"/>
                                <p:inputNumber id="editempaque_200" value="#{preciosMB.activoSeleccionado.empaque_200}" requiredMessage="Error al salvar registro. El campo de empaque_200." minValue="0" maxValue="10000.00"/>

                                <p:outputLabel for="editempaque_230" value="230:"  style="font-weight: bold"/>
                                <p:inputNumber id="editempaque_230" value="#{preciosMB.activoSeleccionado.empaque_230}" requiredMessage="Error al salvar registro. El campo de empaque_230." minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editempaque_250" value="250:"  style="font-weight: bold"/>	
                                <p:inputNumber id="editempaque_250" value="#{preciosMB.activoSeleccionado.empaque_250}" requiredMessage="Error al salvar registro. El campo de empaque_250." minValue="0" maxValue="10000.00"/>
                            </h:panelGrid>
                        </p:panel>
                        <p:panel header="Desechos"> 
                            <h:panelGrid columns="4" >
                                <p:outputLabel for="editsegundas" value="Segundas:"  style="font-weight: bold"/>
                                <p:inputNumber id="editsegundas" value="#{preciosMB.activoSeleccionado.segundas}" requiredMessage="Error al salvar registro. El campo de segundas." minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editterceras" value="Terceras:"  style="font-weight: bold"/>
                                <p:inputNumber id="editterceras" value="#{preciosMB.activoSeleccionado.terceras}" requiredMessage="Error al salvar registro. El campo de terceras." minValue="0" maxValue="10000.00"/>

                                <p:outputLabel for="edittorreon" value="Torreon:"  style="font-weight: bold"/>
                                <p:inputNumber id="edittorreon" value="#{preciosMB.activoSeleccionado.torreon}" requiredMessage="Error al salvar registro. El campo de torreon." minValue="0" maxValue="10000.00"/>
                                <p:outputLabel for="editcoleada" value="Coleada:"  style="font-weight: bold"/>
                                <p:inputNumber id="editcoleada" value="#{preciosMB.activoSeleccionado.coleada}" requiredMessage="Error al salvar registro. El campo de coleada." minValue="0" maxValue="10000.00"/>
                            </h:panelGrid>
                        </p:panel>
                        <p:commandButton value="#{preciosMB.activoSeleccionado.confirmar}" ajax="false" icon="ui-icon-contact"
                                    action="#{preciosMB.creaNuevoRegistro(
                                    preciosMB.activoSeleccionado.verde_japon,
                                    preciosMB.activoSeleccionado.verde_110,
                                    preciosMB.activoSeleccionado.verde_150,
                                    preciosMB.activoSeleccionado.verde_175,
                                    preciosMB.activoSeleccionado.verde_200,
                                    preciosMB.activoSeleccionado.verde_230,
                                    preciosMB.activoSeleccionado.verde_250,
                                    preciosMB.activoSeleccionado.empaque_110,
                                    preciosMB.activoSeleccionado.empaque_150,
                                    preciosMB.activoSeleccionado.empaque_175,
                                    preciosMB.activoSeleccionado.empaque_200,
                                    preciosMB.activoSeleccionado.empaque_230,
                                    preciosMB.activoSeleccionado.empaque_250,	
                                    preciosMB.activoSeleccionado.segundas,
                                    preciosMB.activoSeleccionado.terceras,
                                    preciosMB.activoSeleccionado.torreon,
                                    preciosMB.activoSeleccionado.coleada,
                                    sessionMB.usuariomovil.id
                                    )}" />     
                        <p:commandButton value="Ir a menú" disabled="#{preciosMB.activoSeleccionado.activo}"  
                                         action="#{preciosMB.irAmenu()}" icon="ui-icon-contact" />     
                    </h:panelGrid>
                </p:panel>
                <p:panel style="height:300px">
                    <p:scrollPanel mode="native">
                        <p:dataList id="datalist" value="#{preciosMB.activos}"
                                    var="registros" pt:data-filter="true"
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:90%;height:100%" >
                            <p:commandLink action="#{preciosMB.seleccionEditar(registros)}" update=":registroEditar:indexFormE" >
                                <f:setPropertyActionListener
                                value="#{registros}" target="#{preciosMB.activoEditar}" />   
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id} - #{registros.fecha}"/>
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                </p:panel>
            </h:form>
        </pm:content>
    </pm:page>
    <pm:page id="registroEditar">
        <pm:header>
            Información de precios
        </pm:header>
        <pm:content>
            <h:form id="indexFormE">
                <p:panel id="regNuevoE" header="Nuevo LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                    <h:panelGrid columns="1">
                        <p:panel header="Verdes"> 
                            <h:panelGrid columns="4" >
                                <p:outputLabel for="idE" value="Id:"  style="font-weight: bold"/>
                                <p:inputText id="idE" value="#{preciosMB.activoEditar.id}" readonly="true"  />
                                <p:outputLabel for="verde_japon" value="Japon:"  style="font-weight: bold"/>
                                <p:inputNumber id="verde_japon" value="#{preciosMB.activoEditar.verde_japon}" readonly="true" />

                                <p:outputLabel for="verde_110" value="110:"  style="font-weight: bold"/>
                                <p:inputNumber id="verde_110" value="#{preciosMB.activoEditar.verde_110}" readonly="true" />
                                <p:outputLabel for="verde_150" value="150:"  style="font-weight: bold"/>
                                <p:inputNumber id="verde_150" value="#{preciosMB.activoEditar.verde_150}" readonly="true" />

                                <p:outputLabel for="verde_175" value="175:"  style="font-weight: bold"/>
                                <p:inputNumber id="verde_175" value="#{preciosMB.activoEditar.verde_175}" readonly="true" />
                                <p:outputLabel for="verde_200" value="200:"  style="font-weight: bold"/>
                                <p:inputNumber id="verde_200" value="#{preciosMB.activoEditar.verde_200}" readonly="true" />

                                <p:outputLabel for="verde_230" value="230:"  style="font-weight: bold"/>
                                <p:inputNumber id="verde_230" value="#{preciosMB.activoEditar.verde_230}" readonly="true" />
                                <p:outputLabel for="verde_250" value="250:"  style="font-weight: bold"/>
                                <p:inputNumber id="verde_250" value="#{preciosMB.activoEditar.verde_250}" readonly="true" />
                            </h:panelGrid>
                        </p:panel>
                        <p:panel header="Empaques"> 
                            <h:panelGrid columns="4" >                        
                                <p:outputLabel for="empaque_110" value="110:"  style="font-weight: bold"/>
                                <p:inputNumber id="empaque_110" value="#{preciosMB.activoEditar.empaque_110}" readonly="true" />
                                <p:outputLabel for="empaque_150" value="150:"  style="font-weight: bold"/>
                                <p:inputNumber id="empaque_150" value="#{preciosMB.activoEditar.empaque_150}" readonly="true" />

                                <p:outputLabel for="empaque_175" value="175:"  style="font-weight: bold"/>
                                <p:inputNumber id="empaque_175" value="#{preciosMB.activoEditar.empaque_175}" readonly="true" />
                                <p:outputLabel for="empaque_200" value="200:"  style="font-weight: bold"/>
                                <p:inputNumber id="empaque_200" value="#{preciosMB.activoEditar.empaque_200}" readonly="true" />

                                <p:outputLabel for="empaque_230" value="230:"  style="font-weight: bold"/>
                                <p:inputNumber id="empaque_230" value="#{preciosMB.activoEditar.empaque_230}" readonly="true" />
                                <p:outputLabel for="empaque_250" value="250:"  style="font-weight: bold"/>	
                                <p:inputNumber id="empaque_250" value="#{preciosMB.activoEditar.empaque_250}" readonly="true" />
                            </h:panelGrid>
                        </p:panel>
                        <p:panel header="Desechos"> 
                            <h:panelGrid columns="4" >                        
                                <p:outputLabel for="segundas" value="Segundas:"  style="font-weight: bold"/>
                                <p:inputNumber id="segundas" value="#{preciosMB.activoEditar.segundas}" readonly="true" />
                                <p:outputLabel for="terceras" value="Terceras:"  style="font-weight: bold"/>
                                <p:inputNumber id="terceras" value="#{preciosMB.activoEditar.terceras}" readonly="true" />

                                <p:outputLabel for="torreon" value="Torreon:"  style="font-weight: bold"/>
                                <p:inputNumber id="torreon" value="#{preciosMB.activoEditar.torreon}" readonly="true" />
                                <p:outputLabel for="coleada" value="Coleada:"  style="font-weight: bold"/>
                                <p:inputNumber id="coleada" value="#{preciosMB.activoEditar.coleada}" readonly="true" />

                                <p:outputLabel for="fechaE" value="Fecha:"  style="font-weight: bold"/>
                                <p:inputText id="fechaE" value="#{preciosMB.activoEditar.fecha}" readonly="true"/>
                                <p:outputLabel   value=" "/>
                                <p:commandButton value="Cancelar" ajax="false" icon="ui-icon-contact"
                                            action="#{preciosMB.cancelar()}" update=":lista:indexF"/>
                            </h:panelGrid>
                        </p:panel>
                    </h:panelGrid>
                </p:panel>
            </h:form>
        </pm:content>
    </pm:page>
</h:body>
</html>